#ifndef _HASH_H
#define _HASH_H

typedef void (*hash_init)(void *ctx);
typedef void (*hash_update)(void *ctx, const unsigned char *message,
 unsigned int len);
typedef void (*hash_final)(void *ctx, unsigned char *digest);

typedef struct {
  hash_init init;
  hash_update update;
  hash_final final;
} hash_func;

extern int hash(LPTSTR data, hash_func *hf, unsigned char *digest,
 unsigned int size, void *ctx, HWND hwnd);

#endif //_HASH_H
